JTS Topology Suite - v 1.12

## com.vividsolutions.jts.io
Interface InStream

All Known Implementing Classes:
  ByteArrayInStream, InputStreamInStream

    public interface InStream

A interface for classes providing an input stream of bytes. This interface is similar to the Java `InputStream`, but with a narrower interface to make it easier to implement.

Method Summary
`void` `read(byte[] buf)` Reads `buf.length` bytes from the input stream and stores them in the supplied buffer.

Method Detail

### read

    void read(byte[] buf)
              throws java.io.IOException

  Reads `buf.length` bytes from the input stream and stores them in the supplied buffer.

  Parameters:
    `buf` - the buffer to receive the bytes
  Throws:
    `java.io.IOException` - if an I/O error occurs

JTS Topology Suite - v 1.12